#!/bin/bash

repdir=`grep repdir /etc/sdata/registerbak.conf | awk '{print $3}'`

for i in `lvscan | grep vgbackup | cut -d\' -f 2 | cut -d/ -f 4 | sort`
do
    snap=`echo $i | grep _snap_`
    if [ $snap ]; then
        echo $snap is a snapshot lv
    else
        #echo "not snap"
        lvchange -ay /dev/vgbackup/$i
        mkdir -p $repdir/$i
        mount /dev/vgbackup/$i $repdir/$i
    fi
done
